Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453261 - Last kernels stops working with Silicon Image 0680 IDE controller
Summary: Last kernels stops working with Silicon Image 0680 IDE controller
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 13:42 UTC by Walkie
Modified: 2009-01-09 06:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:38:50 UTC


Attachments (Terms of Use)
kernel output witout 'silent' option (deleted)
2008-06-28 13:42 UTC, Walkie
no flags Details

Description Walkie 2008-06-28 13:42:21 UTC
This is late kernel degradation problem report.
I'm late reporning this, so please forgive me, my server is not reboot often and
when i discovered the problem i was in hope what it will be fixed soon, but
several mounths later next reboot showed me the problem again. I did quick
diagnose of problem, and again late posting it here the results. I also made a
quick search of bugs with fedora kernels containing 680 word - nothing valuable
was found, so or it is nobody now use sil680 driver or i found uncommon bug.
This all, late reporting, uncertain kernel version when trouble begins, rare
hardware, makes possible solution harder, but please help me.

Description of problem:
After kernel update, during boot process, the following kernel messages are
showed in section Actual results, and the hard disks on Silicon Image 0680 IDE
controller are not accessible.
Trying to give 'irqpoll' option as suggested to kernel, nothing really was
changed. Actual results2 section shows it.
Than I tried to boot wihout 'silent' kernel option, and the long result of it is
attached to this message.

Previous version of kernel boots just ok.
No hardware changes was made.

Version-Release number of selected component (if applicable):

The 'ok' kernel version is 2.6.23.15-137.fc8
The wersion of the first buggy kernel is not exactly known, but I suppose that
is several kernel updates later (no longer than month period).
The kernel that I used for data collection is 2.6.25.4-10 or previous.

If I had access to all sequence of the updated kernels during period (the
repository does not store previous versions of kernels) I could try to find last
working and fist not working kernel by the division unknown by half method.

How reproducible:
Every time, but there nust be Silicon Image 0680 based IDE controller available.
And also, probably same hardware configuration.

Steps to Reproduce:
1. Install fedora 8
2. Check normal boot
3. Update kernel to last version
4. Check sil680 driver load messages
  
Actual results:
ata3.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
ata3.00: status: { DRDY }
ata3.01: revalidation failed (errno=-2)
ata3.01: revalidation failed (errno=-2)
irq 11: nobody cared (try booting with the "irqpoll" option)
handlers:
[<f08e1966>] (ata_interrupt+0x0/0x1ba [libata])
Disabling IRQ #11
ata3.01: revalidation failed (errno=-2)
ata3.00: revalidation failed (errno=-5)
ata3.00: revalidation failed (errno=-22)
ata3.00: revalidation failed (errno=-5)
Buffer I/O error on device sdd, logical block 0
...9 times...
ata4.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
ata4.01: status: { DRDY }
ata4.01: revalidation failed (errno=-2)
ata4.01: revalidation failed (errno=-2)
ata4.01: revalidation failed (errno=-5)
ata4.00: revalidation failed (errno=-2)
ata4.00: revalidation failed (errno=-2)
ata4.00: revalidation failed (errno=-5)
Buffer I/O error on device sde, logical block 0
...9 times...
Buffer I/O error on device sdd, logical block 3001520
...2 times...
...
Starting udev: ata_id[645]: main HDIO_GET_IDENTITY failed for '/dev/.tmp-8-48'
ata_id[649]: main: HDIO_GET_IDENTITY failed for '/dev/.tmp-8-64'
                                                           [  OK  ]

Actual results2:
ata3.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
ata3.00: status: { DRDY }
ata3.01: revalidation failed (errno=-2)
ata3.01: revalidation failed (errno=-2)
ata3.01: revalidation failed (errno=-5)
ata3.00: revalidation failed (errno=-5)
ata3.00: revalidation failed (errno=-5)
ata3.00: revalidation failed (errno=-2)
Buffer I/O error on device sdd, logical block 0
...9 times...
ata4.00: cmd c8/00:08:00:00:00/00:00:00:00:00/e0 tag 0 dma 4096 in
ata4.00: status: { DRDY }
ata4.01: revalidation failed (errno=-2)
ata4.01: revalidation failed (errno=-2)
ata4.01: revalidation failed (errno=-2)
ata4.00: revalidation failed (errno=-5)
ata4.00: revalidation failed (errno=-5)
ata4.00: revalidation failed (errno=-2)
Buffer I/O error on device sde, logical block 0
...9 times...
Buffer I/O error on device sdd, logical block 3001520
...2 times...
...
Starting udev: ata_id[644]: main HDIO_GET_IDENTITY failed for '/dev/.tmp-8-48'
ata_id[648]: main: HDIO_GET_IDENTITY failed for '/dev/.tmp-8-64'
                                                           [  OK  ]

Expected results:
normal boot

Additional info:
Here is my hardware configuration
http://www.smolts.org/client/show/pub_5e295b1d-bfcc-4217-a47a-ce36ceca6f77

Comment 1 Walkie 2008-06-28 13:42:21 UTC
Created attachment 310501 [details]
kernel output witout 'silent' option

Comment 2 Bug Zapper 2008-11-26 10:56:18 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:38:50 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.